@import url(https://fonts.googleapis.com/css?family=Open+Sans:300,400,400i,600,700&display=swap);
@import url(https://fonts.googleapis.com/css?family=PT+Mono&display=swap);
.kiwip-txt-contacts {
    color: #e00074
}

.kiwip-txt-messages {
    color: #009c97
}

.kiwip-txt-alarms {
    color: #951a81
}

.kiwip-txt-activity {
    color: #2171b8
}

.kiwip-txt-settings {
    color: #f8b232
}

.kiwip-txt-classmode {
    color: #20ce00
}

.kiwip-txt-security {
    color: #ff6f2b
}

.spinner {
    height: 200px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    animation: appears 1s
}

.spinner * {
    height: 15px;
    width: 15px;
    display: inline-block;
    margin: 5px;
    border-radius: 50%
}

.spinner .dot-a {
    background: #e00074;
    animation: bounce 1s ease-in-out infinite running
}

.spinner .dot-b {
    background: #f8b232;
    animation: bounce 1s ease-in-out .2s infinite running
}

.spinner .dot-c {
    background: #009c97;
    animation: bounce 1s ease-in-out .4s infinite running
}

.spinner .dot-d {
    background: #2171b8;
    animation: bounce 1s ease-in-out .6s infinite running
}

.spinner .dot-e {
    background: #951a81;
    animation: bounce 1s ease-in-out .8s infinite running
}

@keyframes appears {
    0% {
        opacity: 0
    }
    to {
        opacity: 1
    }
}

@keyframes bounce {
    0% {
        transform: translateY(0)
    }
    50% {
        transform: translateY(-20px)
    }
    to {
        transform: translateY(0)
    }
}

body .btn:focus {
    outline: none;
    box-shadow: none
}

body .appcnt {
    font-size: 1rem;
    margin: -1rem;
    height: 100%
}

body .appcnt a[href^=tel] {
    color: inherit;
    text-decoration: none
}

body .appcnt .fix {
    clear: both;
    display: block
}

body .appcnt .divider {
    height: 1px;
    width: 100%;
    background: #e8e8e8
}

body .appcnt .alert {
    border-radius: 0;
    border: none;
    text-align: center;
    padding: 1.5rem;
    position: relative;
    font-weight: 100;
    font-size: 1.25rem;
    margin: 0;
    color: #fff
}

body .appcnt .alert i:first-of-type {
    position: absolute;
    height: 100%;
    width: auto;
    left: 0;
    top: 0;
    font-size: 7rem;
    overflow: hidden;
    padding: .5rem;
    color: #fff;
    opacity: .75;
    z-index: 0
}

body .appcnt .alert span {
    position: relative;
    z-index: 2
}

body .appcnt .alert.alert-danger {
    background: #ee5465
}

body .appcnt .alert.alert-secondary {
    background: #f3f3f3;
    color: #202020
}

body .appcnt .alert.alert-success {
    background: #a1d568
}

body .appcnt .modal-title-wrap {
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between
}

body .appcnt .modal-title-wrap p {
    width: calc(100% - 65px)
}

body .appcnt .modal-title-wrap .modal-title {
    font-size: 1.4rem;
    font-weight: 600;
    line-height: 1;
    font-family: Comfortaa, cursive
}

body .appcnt .modal-title-wrap .modal-subtitle {
    color: #b9b9b9;
    font-size: .9rem;
    line-height: 1
}

body .appcnt .btn-round {
    width: 3rem;
    height: 3rem;
    line-height: 3rem;
    text-align: center;
    font-size: 1.6rem;
    display: inline-block;
    border-radius: 50%;
    transition: all .2s;
    margin-right: -1rem
}

body .appcnt .btn-round:link,
body .appcnt .btn-round:visited {
    background: #fff
}

body .appcnt .btn-round:link.float-right,
body .appcnt .btn-round:visited.float-right {
    color: #fff;
    background: #fff;
    margin-right: -2.5rem;
    border-radius: 100px 0 0 100px;
    width: 4.5rem;
    height: 2.75rem;
    font-size: 1.4rem;
    line-height: 2.75rem;
    padding-right: .25rem
}

body .appcnt .btn-round-contacts:link.float-right,
body .appcnt .btn-round-contacts:visited.float-right {
    background: #e00074!important
}

body .appcnt .btn-round-messages:link.float-right,
body .appcnt .btn-round-messages:visited.float-right {
    background: #009c97!important
}

body .appcnt .btn-round-alarms:link.float-right,
body .appcnt .btn-round-alarms:visited.float-right {
    background: #951a81!important
}

body .appcnt .btn-round-activity:link.float-right,
body .appcnt .btn-round-activity:visited.float-right {
    background: #2171b8!important
}

body .appcnt .btn-round-settings:link.float-right,
body .appcnt .btn-round-settings:visited.float-right {
    background: #f8b232!important
}

body .appcnt .btn-round-classmode:link.float-right,
body .appcnt .btn-round-classmode:visited.float-right {
    background: #20ce00!important
}

body .appcnt .btn-round-security:link.float-right,
body .appcnt .btn-round-security:visited.float-right {
    background: #ff6f2b!important
}

body .appcnt .actions {
    cursor: pointer
}

body .appcnt .actions label {
    margin-bottom: 0!important;
    font-size: 1.1rem!important;
    margin-left: 0!important
}

body .appcnt .actions .switch {
    background-color: #e8e8e8;
    border-radius: 2rem;
    width: 3rem;
    height: 1.8rem;
    border: none;
    padding: .2rem;
    cursor: pointer;
    display: block;
    position: relative;
    min-width: 48px;
    margin-left: 15px
}

body .appcnt .actions .switch b {
    position: relative;
    display: block;
    height: 1.4rem;
    width: 1.4rem;
    background-color: #b9b9b9;
    border-radius: 2rem;
    left: 0;
    transition: all .2s
}

body .appcnt .actions .switch.on b {
    left: 20px;
    background-color: #f8b232;
    transition: all .2s
}

body .appcnt .form-days label {
    text-align: center;
    display: block!important;
    margin: auto auto 15px!important
}

body .appcnt .form-days>div {
    display: flex;
    justify-content: center
}

body .appcnt .form-days>div input {
    display: none
}

body .appcnt .form-days>div>label {
    background-color: #f3f3f3;
    width: 2.6rem;
    height: 2.6rem;
    margin: 0 .2rem .2rem 0!important;
    cursor: pointer!important;
    font-size: 1rem!important;
    font-weight: 600!important;
    border-radius: 2rem;
    text-align: center;
    line-height: 2.6rem!important
}

body .appcnt .form-days>div>label.sel {
    color: #fff
}

body .appcnt .form-hm label {
    display: none!important
}

body .appcnt .form-hm .form-control {
    position: relative;
    width: 214px;
    background: transparent;
    display: flex;
    border: none;
    margin: auto
}

body .appcnt .form-hm .form-control:after {
    content: ":";
    position: absolute;
    color: #000;
    font-size: 180%;
    left: calc(50% - 3px);
    top: 0;
    height: 100%;
    width: 10px;
    line-height: 85px
}

body .appcnt .form-hm .form-control select {
    font-size: 270%;
    border: 1px solid transparent;
    background: #fff;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    position: relative;
    background-image: none;
    padding: 0 10px;
    font-weight: 600;
    color: #000;
    margin: 0 10px;
    border-radius: 40px;
    height: 75px;
    width: 75px;
    text-align: center;
    text-align-last: center
}

body .appcnt .form-hm .form-control select option {
    font-size: 1rem!important
}

body .appcnt .form-hm .form-control select:focus {
    border-color: #d69327;
    outline: 0;
    box-shadow: 0 0 0 .2rem #ffca76
}

body .appcnt .form-hm .form-control>div {
    display: inline-block
}

body .appcnt .contacts {
    list-style-type: none;
    padding: 0;
    margin: 0
}

body .appcnt .contacts li {
    list-style-position: inside;
    padding: 1rem;
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: background-color .2s;
    position: relative;
    overflow: hidden
}

body .appcnt .contacts li:nth-child(odd) {
    background-color: #fcfcfc
}

body .appcnt .contacts li img {
    width: 4.4rem;
    height: 4.4rem;
    display: inline-block;
    position: relative;
    z-index: 2
}

body .appcnt .contacts li>span {
    display: inline-block;
    padding: .3rem .6rem;
    overflow: hidden;
    margin-left: -2.5rem;
    position: relative;
    z-index: 1
}

body .appcnt .contacts li>span>span.name {
    color: #000;
    font-size: 1.1rem;
    display: inline-block;
    background: #e8e8e8;
    border-radius: 1rem;
    padding: .2rem 1rem .2rem 2.5rem;
    margin-bottom: .3rem;
    transition: all .2s
}

body .appcnt .contacts li>span>span.contact-info {
    padding-left: 2.1rem
}

body .appcnt .contacts li>span>span.contact-info>span.phone {
    font-size: .9rem;
    display: inline-block;
    color: #b9b9b9;
    letter-spacing: .02rem;
    transition: color .2s
}

body .appcnt .contacts li>span>span.contact-info>span.contact-type>i {
    display: inline-block;
    color: #000;
    font-size: 1rem;
    padding: .1rem;
    transition: color .2s
}

body .appcnt .contacts li>span>span.contact-info>span.contact-type>i.sup {
    font-size: .6rem;
    top: -10px;
    position: relative;
    color: #a1d568
}

@media (hover:hover) and (pointer:fine) {
    body .appcnt .contacts li:hover {
        transition: background-color .2s;
        background: linear-gradient(45deg, #e00074, #f165ad)
    }
    body .appcnt .contacts li:hover>span>span.name {
        background-color: #f165ad;
        color: #fff;
        padding-left: 3rem;
        transition: all .2s
    }
    body .appcnt .contacts li:hover>span>span.contact-info>span.contact-type>i,
    body .appcnt .contacts li:hover>span>span.contact-info>span.phone {
        color: #fff;
        transition: color .2s
    }
}

body .appcnt .contacts input:focus,
body .appcnt .modal-contacts input:focus {
    border-color: #b70662;
    box-shadow: 0 0 0 .2rem #f165ad
}

body .appcnt .contacts .actions .switch.on b,
body .appcnt .modal-contacts .actions .switch.on b {
    background: #e00074
}

body .appcnt #messages {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: calc(100% + 2rem)
}

body .appcnt #messages .messages-header {
    background: #fff
}

body .appcnt #messages .messages-header .img-messages {
    height: 3.2rem;
    width: 3.2rem;
    border-radius: 50%;
    background-color: #202020;
    overflow: hidden
}

body .appcnt #messages .messages-list {
    background: #f3f3f3;
    display: flex;
    flex: 1;
    flex-direction: column;
    margin: 0;
    list-style: none;
    overflow: auto;
    padding: 1rem 1rem 12rem
}

body .appcnt #messages .messages-list,
body .appcnt #messages .messages-list * {
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none
}

body .appcnt #messages .messages-list li {
    width: 100%;
    display: flex;
    flex-direction: column;
    position: relative
}

body .appcnt #messages .messages-list li .datetime {
    font-size: .7rem;
    margin-bottom: .25rem;
    color: #202020;
    opacity: .5
}

body .appcnt #messages .messages-list li .datetime i {
    font-size: .25rem;
    top: -2px;
    position: relative;
    margin-left: 4px;
    margin-right: 4px
}

body .appcnt #messages .messages-list li audio::-webkit-media-controls-panel {
    height: 100%;
    overflow: visible;
    padding: 0 7px
}

body .appcnt #messages .messages-list li audio::-webkit-media-controls-mute-button,
body .appcnt #messages .messages-list li audio::-webkit-media-controls-play-button {
    filter: invert(100%)
}

body .appcnt #messages .messages-list li audio::-webkit-media-controls-timeline-container {
    filter: invert(100%)
}

body .appcnt #messages .messages-list li audio::-webkit-media-controls-current-time-display,
body .appcnt #messages .messages-list li audio::-webkit-media-controls-time-remaining-display {
    color: #fff
}

body .appcnt #messages .messages-list li audio::-webkit-media-controls-timeline,
body .appcnt #messages .messages-list li audio::-webkit-media-controls-volume-slider-container {
    filter: invert(100%)
}

body .appcnt #messages .messages-list li audio::-webkit-media-controls-seek-back-button,
body .appcnt #messages .messages-list li audio::-webkit-media-controls-volume-slider {
    filter: invert(100%)
}

body .appcnt #messages .messages-list li .audio {
    padding: 0;
    height: 44px;
    margin-bottom: .5rem
}

body .appcnt #messages .messages-list li .audio:focus {
    outline: none
}

body .appcnt #messages .messages-list li .text {
    max-width: 70%;
    padding: .75rem 1.25rem
}

body .appcnt #messages .messages-list li .img-message,
body .appcnt #messages .messages-list li .text {
    display: inline-block;
    margin-bottom: .5rem;
    color: #fff;
    border-radius: 25px;
    font-size: 1rem;
    line-height: 1.25rem
}

body .appcnt #messages .messages-list li .img-message {
    max-width: 60%;
    padding: .75rem
}

body .appcnt #messages .messages-list li .avatar {
    height: 35px;
    width: 35px;
    border-radius: 50%;
    margin-left: 1rem;
    margin-right: 1rem;
    margin-bottom: .5rem
}

body .appcnt #messages .messages-list li.in {
    align-items: flex-start
}

body .appcnt #messages .messages-list li.in audio::-webkit-media-controls-panel {
    background-color: #009c97
}

body .appcnt #messages .messages-list li.in .img-message,
body .appcnt #messages .messages-list li.in .text,
body .appcnt #messages .messages-list li.in a {
    background: #009c97
}

body .appcnt #messages .messages-list li.in a {
    left: 1.5rem
}

body .appcnt #messages .messages-list li.out {
    align-items: flex-end
}

body .appcnt #messages .messages-list li.out audio::-webkit-media-controls-panel {
    background-color: #b9b9b9
}

body .appcnt #messages .messages-list li.out .img-message,
body .appcnt #messages .messages-list li.out .text,
body .appcnt #messages .messages-list li.out a {
    background: #b9b9b9
}

body .appcnt #messages .messages-list li.out a {
    right: 1.5rem
}

body .appcnt #messages .messages-footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    padding: 1rem;
    background: #fff;
    box-shadow: 0 25px 50px 25px rgba(0, 0, 0, .15);
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%
}

body .appcnt #messages .messages-footer .message-input {
    min-height: 50px;
    background: #f3f3f3;
    border-radius: 25px;
    resize: none;
    padding: 1.1rem 1.1rem .2rem;
    display: flex;
    flex: 1;
    margin: 0 .5rem;
    border: none;
    line-height: 1rem;
    font-size: .85rem
}

body .appcnt #messages .messages-footer .message-input:focus {
    outline: none
}

body .appcnt #messages .messages-footer .send-text-message,
body .appcnt #messages .messages-footer .send-voice-message {
    height: 50px;
    width: 50px;
    background: #009c97;
    color: #fff;
    text-align: center;
    line-height: 50px;
    border-radius: 50%;
    font-size: 1.5rem
}

body .appcnt .alarms,
body .appcnt .classmode,
body .appcnt .security {
    overflow: hidden
}

body .appcnt .alarms ul,
body .appcnt .classmode ul,
body .appcnt .security ul {
    list-style-type: none;
    list-style-position: inside;
    padding: 0;
    margin-bottom: 0
}

body .appcnt .alarms ul li,
body .appcnt .classmode ul li,
body .appcnt .security ul li {
    padding: 1rem;
    text-align: left;
    transition: all .2s;
    position: relative;
    overflow: hidden
}

body .appcnt .alarms ul li .alarm-info,
body .appcnt .classmode ul li .alarm-info,
body .appcnt .security ul li .alarm-info {
    transition: all .2s
}

body .appcnt .alarms ul li .alarm-info i.logo,
body .appcnt .classmode ul li .alarm-info i.logo,
body .appcnt .security ul li .alarm-info i.logo {
    display: block;
    padding: .5rem;
    width: 3rem;
    font-size: 2rem;
    margin-right: .5rem
}

body .appcnt .alarms ul li .alarm-info .title,
body .appcnt .classmode ul li .alarm-info .title,
body .appcnt .security ul li .alarm-info .title {
    line-height: 1;
    font-weight: 600;
    color: #951a81;
    margin-bottom: .2rem;
    transition: all .2s
}

body .appcnt .alarms ul li .alarm-info .time,
body .appcnt .classmode ul li .alarm-info .time,
body .appcnt .security ul li .alarm-info .time {
    line-height: 1;
    font-size: .9rem
}

body .appcnt .alarms ul li .alarm-info .time b,
body .appcnt .classmode ul li .alarm-info .time b,
body .appcnt .security ul li .alarm-info .time b {
    color: #951a81;
    transition: all .2s;
    font-weight: 600
}

body .appcnt .alarms ul li .alarm-info .repeat,
body .appcnt .classmode ul li .alarm-info .repeat,
body .appcnt .security ul li .alarm-info .repeat {
    font-size: .7rem;
    opacity: .5
}

body .appcnt .alarms ul li .actions i,
body .appcnt .classmode ul li .actions i,
body .appcnt .security ul li .actions i {
    height: 1.8rem;
    width: 1.8rem;
    border-radius: 50%;
    line-height: 1.8rem;
    text-align: center;
    margin-right: .5rem;
    font-size: .9rem;
    transition: all .2s
}

body .appcnt .alarms ul li .actions i:first-of-type,
body .appcnt .classmode ul li .actions i:first-of-type,
body .appcnt .security ul li .actions i:first-of-type {
    background-color: #ee5465;
    color: #fff
}

body .appcnt .alarms ul li .actions i:last-of-type,
body .appcnt .classmode ul li .actions i:last-of-type,
body .appcnt .security ul li .actions i:last-of-type {
    background-color: #e8e8e8;
    padding-left: 3px;
    color: #202020
}

body .appcnt .alarms ul li .actions i:hover,
body .appcnt .classmode ul li .actions i:hover,
body .appcnt .security ul li .actions i:hover {
    background-color: #202020;
    color: #fff;
    transition: all .2s
}

body .appcnt .alarms ul li .actions .switch,
body .appcnt .classmode ul li .actions .switch,
body .appcnt .security ul li .actions .switch {
    background-color: #e8e8e8;
    border-radius: 2rem;
    width: 3rem;
    height: 1.8rem;
    border: none;
    padding: .2rem;
    cursor: pointer;
    display: block;
    position: relative
}

body .appcnt .alarms ul li .actions .switch b,
body .appcnt .classmode ul li .actions .switch b,
body .appcnt .security ul li .actions .switch b {
    position: relative;
    transition: all .2s;
    display: block;
    height: 1.4rem;
    width: 1.4rem;
    background-color: #b9b9b9;
    border-radius: 2rem
}

body .appcnt .alarms ul li .actions .switch:before,
body .appcnt .classmode ul li .actions .switch:before,
body .appcnt .security ul li .actions .switch:before {
    content: "";
    position: absolute;
    height: 300%;
    width: 300%;
    top: -100%;
    left: -15px
}

body .appcnt .alarms ul li .actions a,
body .appcnt .classmode ul li .actions a,
body .appcnt .security ul li .actions a {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    opacity: 0
}

body .appcnt .alarms ul li.on .actions .switch b,
body .appcnt .classmode ul li.on .actions .switch b,
body .appcnt .security ul li.on .actions .switch b {
    left: 20px;
    background-color: #951a81
}

body .appcnt .alarms ul li.off .alarm-info,
body .appcnt .classmode ul li.off .alarm-info,
body .appcnt .security ul li.off .alarm-info {
    opacity: .35
}

body .appcnt .alarms ul li.off .actions .switch b,
body .appcnt .classmode ul li.off .actions .switch b,
body .appcnt .security ul li.off .actions .switch b {
    left: 0
}

body .appcnt .alarms ul li:nth-of-type(odd),
body .appcnt .classmode ul li:nth-of-type(odd),
body .appcnt .security ul li:nth-of-type(odd) {
    background-color: #fcfcfc
}

@media (hover:hover) and (pointer:fine) {
    body .appcnt .alarms ul li:hover,
    body .appcnt .classmode ul li:hover,
    body .appcnt .security ul li:hover {
        background: linear-gradient(45deg, #951a81, #bf58bf);
        transition: all .2s
    }
    body .appcnt .alarms ul li:hover .alarm-info,
    body .appcnt .alarms ul li:hover .alarm-info .time b,
    body .appcnt .alarms ul li:hover .alarm-info .title,
    body .appcnt .classmode ul li:hover .alarm-info,
    body .appcnt .classmode ul li:hover .alarm-info .time b,
    body .appcnt .classmode ul li:hover .alarm-info .title,
    body .appcnt .security ul li:hover .alarm-info,
    body .appcnt .security ul li:hover .alarm-info .time b,
    body .appcnt .security ul li:hover .alarm-info .title {
        color: #fff;
        transition: all .2s
    }
}

body .appcnt .alarms input:focus,
body .appcnt .modal-alarms input:focus {
    border-color: #6d156b;
    box-shadow: 0 0 0 .2rem #bf58bf
}

body .appcnt .alarms .actions .switch.on b,
body .appcnt .modal-alarms .actions .switch.on b {
    background: #951a81
}

body .appcnt .alarms .form-days>div>label.sel,
body .appcnt .modal-alarms .form-days>div>label.sel {
    background-color: #951a81
}

body .appcnt .alarms .form-hm .form-control select:focus,
body .appcnt .modal-alarms .form-hm .form-control select:focus {
    border-color: #6d156b;
    box-shadow: 0 0 0 .2rem #bf58bf
}

body .appcnt .activity .btn {
    border: none!important;
    border-radius: 20px 20px 0 0;
    height: 45px;
    position: relative;
    transition: none
}

body .appcnt .activity .btn,
body .appcnt .activity .btn:active {
    background: #185f93;
    color: #fff
}

body .appcnt .activity .btn:before {
    right: calc(100% - 1px);
    box-shadow: 5px 5px #185f93
}

body .appcnt .activity .btn:after,
body .appcnt .activity .btn:before {
    content: "";
    height: 20px;
    width: 20px;
    background: transparent;
    position: absolute;
    bottom: -2px;
    border-radius: 50%
}

body .appcnt .activity .btn:after {
    left: calc(100% - 1px);
    box-shadow: -5px 5px #185f93
}

body .appcnt .activity .btn-selected,
body .appcnt .activity .btn-selected:active {
    background: #fff;
    color: #2171b8
}

body .appcnt .activity .btn-selected:before {
    box-shadow: 5px 5px #fff
}

body .appcnt .activity .btn-selected:after {
    box-shadow: -5px 5px #fff
}

body .appcnt .activity .tabwrap {
    background: #fff;
    padding-top: 1rem;
    box-shadow: inset 0 -80px 100px -100px #2171b8;
    text-align: center;
    overflow: hidden
}

body .appcnt .activity ul {
    list-style: none;
    margin: 2rem 1rem 4rem;
    padding: 1rem 0 0;
    width: calc(100% - 2rem);
    height: 15rem;
    position: relative;
    border-bottom: 2px solid #2171b8;
    background: linear-gradient(0deg, #f9f9f9, #fff)
}

body .appcnt .activity ul li {
    list-style-position: inside;
    float: left;
    bottom: 0;
    position: absolute;
    min-height: 1px;
    margin: 0;
    padding: 0;
    background-color: #2171b8;
    display: block
}

body .appcnt .activity ul li span {
    font-size: .6rem;
    letter-spacing: -.4px;
    bottom: -2rem;
    display: block;
    text-align: center;
    position: absolute;
    width: 100%
}

body .appcnt .activity ul.week li {
    width: 30px;
    border-radius: 50px 50px 0 0
}

@media (min-width:375px) {
    body .appcnt .activity ul.week li {
        width: 35px
    }
}

@media (min-width:420px) {
    body .appcnt .activity ul.week li {
        width: 42px
    }
}

@media (min-width:500px) {
    body .appcnt .activity ul.week li {
        width: 48px
    }
}

@media (min-width:576px) {
    body .appcnt .activity ul.week li {
        width: 55px
    }
}

body .appcnt .activity ul.week li p {
    color: #fff;
    text-align: right;
    position: absolute;
    top: 0;
    right: 0;
    transform: rotate(-90deg) translateY(-100%);
    transform-origin: 100% 0;
    font-size: .8rem;
    line-height: 30px;
    height: 30px;
    padding-right: 15px;
    display: inline-block;
    white-space: nowrap
}

@media (min-width:375px) {
    body .appcnt .activity ul.week li p {
        height: 35px;
        line-height: 35px
    }
}

@media (min-width:420px) {
    body .appcnt .activity ul.week li p {
        height: 42px;
        line-height: 42px;
        font-size: .85rem
    }
}

@media (min-width:500px) {
    body .appcnt .activity ul.week li p {
        height: 48px;
        line-height: 48px;
        font-size: .9rem
    }
}

@media (min-width:576px) {
    body .appcnt .activity ul.week li p {
        height: 55px;
        line-height: 55px;
        font-size: 1rem
    }
}

body .appcnt .activity ul.week li p.upper {
    transform: rotate(-90deg) translateY(-100%) translateX(100%);
    color: #202020;
    padding-right: 0;
    padding-left: 15px
}

body .appcnt .activity ul.week li:first-child {
    left: 3%
}

body .appcnt .activity ul.week li:nth-child(2) {
    left: 17%
}

body .appcnt .activity ul.week li:nth-child(3) {
    left: 31%
}

body .appcnt .activity ul.week li:nth-child(4) {
    left: 45%
}

body .appcnt .activity ul.week li:nth-child(5) {
    left: 59%
}

body .appcnt .activity ul.week li:nth-child(6) {
    left: 73%
}

body .appcnt .activity ul.week li:nth-child(7) {
    left: 87%
}

body .appcnt .activity ul.year li {
    width: 16px;
    border-radius: 50px 50px 0 0
}

@media (min-width:375px) {
    body .appcnt .activity ul.year li {
        width: 20px
    }
}

@media (min-width:420px) {
    body .appcnt .activity ul.year li {
        width: 24px
    }
}

@media (min-width:500px) {
    body .appcnt .activity ul.year li {
        width: 27px
    }
}

@media (min-width:576px) {
    body .appcnt .activity ul.year li {
        width: 30px
    }
}

body .appcnt .activity ul.year li p {
    color: #fff;
    text-align: right;
    position: absolute;
    top: 0;
    right: 0;
    transform: rotate(-90deg) translateY(-100%);
    transform-origin: 100% 0;
    font-size: .65rem;
    line-height: 16px;
    height: 16px;
    padding-right: 12px;
    display: inline-block;
    white-space: nowrap
}

@media (min-width:375px) {
    body .appcnt .activity ul.year li p {
        height: 20px;
        line-height: 20px
    }
}

@media (min-width:420px) {
    body .appcnt .activity ul.year li p {
        height: 24px;
        line-height: 24px;
        font-size: .75rem
    }
}

@media (min-width:500px) {
    body .appcnt .activity ul.year li p {
        height: 27px;
        line-height: 27px;
        font-size: .8rem
    }
}

@media (min-width:576px) {
    body .appcnt .activity ul.year li p {
        height: 30px;
        line-height: 30px;
        font-size: .9rem
    }
}

body .appcnt .activity ul.year li p.upper {
    transform: rotate(-90deg) translateY(-100%) translateX(100%);
    color: #202020;
    padding-right: 0;
    padding-left: 7px
}

body .appcnt .activity ul.year li:first-child {
    left: 3%
}

body .appcnt .activity ul.year li:nth-child(2) {
    left: 11%
}

body .appcnt .activity ul.year li:nth-child(3) {
    left: 19%
}

body .appcnt .activity ul.year li:nth-child(4) {
    left: 27%
}

body .appcnt .activity ul.year li:nth-child(5) {
    left: 35%
}

body .appcnt .activity ul.year li:nth-child(6) {
    left: 43%
}

body .appcnt .activity ul.year li:nth-child(7) {
    left: 51%
}

body .appcnt .activity ul.year li:nth-child(8) {
    left: 59%
}

body .appcnt .activity ul.year li:nth-child(9) {
    left: 67%
}

body .appcnt .activity ul.year li:nth-child(10) {
    left: 75%
}

body .appcnt .activity ul.year li:nth-child(11) {
    left: 83%
}

body .appcnt .activity ul.year li:nth-child(12) {
    left: 91%
}

body .appcnt .settings img {
    width: 4.5rem;
    height: 4.5rem;
    margin-right: 1rem;
    display: block;
    border-radius: 50%
}

body .appcnt .settings .device-settings {
    background-color: #f3f3f3
}

body .appcnt .settings .device-settings .update-form {
    background: #7cc35f;
    box-shadow: 0 10px 20px -10px rgba(0, 0, 0, .3);
    border-radius: 20px;
    padding: 1rem;
    color: #fff;
    margin: 1rem 0
}

body .appcnt .settings .device-settings .update-form button {
    border: none;
    color: #fff;
    background: #202020
}

body .appcnt .settings .device-settings .confirm-update {
    padding: 0;
    background-color: #fff;
    color: #000;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: 10
}

body .appcnt .settings .device-settings .img-wrapper {
    padding: .5rem;
    background: #fff;
    width: 4.5rem;
    height: 4.5rem;
    margin-right: 1rem;
    display: block;
    border-radius: 50%;
    overflow: hidden
}

body .appcnt .settings .device-settings .img-wrapper img {
    border-radius: 0;
    height: 3.5rem;
    width: 3.5rem
}

body .appcnt .settings ul {
    list-style-type: none;
    list-style-position: inside;
    padding: .6rem;
    margin: 0;
    flex: 1;
    font-size: .9rem
}

body .appcnt .settings ul li {
    padding: 0
}

body .appcnt .settings ul li b {
    color: #f8b232
}

body .appcnt .settings ul li.switch-li {
    display: flex;
    justify-content: space-between
}

body .appcnt .settings .user-settings-title {
    display: block;
    width: 100%;
    font-size: 1.4rem;
    color: #f8b232;
    font-weight: 600;
    font-family: Comfortaa, cursive
}

body .appcnt .modal-settings input:focus,
body .appcnt .settings input:focus {
    border-color: #d69327;
    box-shadow: 0 0 0 .2rem #ffca76
}

body .appcnt .modal-settings .actions .switch.on b,
body .appcnt .settings .actions .switch.on b {
    background: #f8b232
}

body .appcnt .classmode ul li .alarm-info .time b,
body .appcnt .classmode ul li .alarm-info .title {
    color: #20ce00
}

body .appcnt .classmode ul li.on .actions .switch b,
body .appcnt .classmode ul li:hover {
    background-color: #20ce00
}

body .appcnt .classmode input:focus,
body .appcnt .modal-classmode input:focus {
    border-color: #1e9b00;
    box-shadow: 0 0 0 .2rem #77f958
}

body .appcnt .classmode .actions .switch.on b,
body .appcnt .modal-classmode .actions .switch.on b {
    background: #20ce00
}

body .appcnt .classmode .form-days>div>label.sel,
body .appcnt .modal-classmode .form-days>div>label.sel {
    background-color: #20ce00
}

body .appcnt .classmode .form-hm label,
body .appcnt .modal-classmode .form-hm label {
    display: block!important;
    margin: 0 1rem;
    text-align: center
}

body .appcnt .classmode .form-hm .form-control,
body .appcnt .modal-classmode .form-hm .form-control {
    width: 150px;
    padding: 0
}

body .appcnt .classmode .form-hm .form-control:after,
body .appcnt .modal-classmode .form-hm .form-control:after {
    line-height: 50px
}

body .appcnt .classmode .form-hm .form-control select,
body .appcnt .modal-classmode .form-hm .form-control select {
    font-size: 200%;
    padding: 0 5px;
    height: 55px;
    width: 55px
}

body .appcnt .classmode .form-hm .form-control select:focus,
body .appcnt .modal-classmode .form-hm .form-control select:focus {
    border-color: #1e9b00;
    box-shadow: 0 0 0 .2rem #77f958
}

body .appcnt .security ul li .alarm-info .time b,
body .appcnt .security ul li .alarm-info .title {
    color: #ff6f2b
}

body .appcnt .security ul li.on .actions .switch b {
    background-color: #ff6f2b
}

@media (hover:hover) and (pointer:fine) {
    body .appcnt .security ul li:hover {
        background: linear-gradient(45deg, #ff6f2b, #ff8b54)
    }
}

body .appcnt .modal-security input:focus,
body .appcnt .security input:focus {
    border-color: #ce5821;
    box-shadow: 0 0 0 .2rem #ff8b54
}

body .appcnt .modal-security .actions .switch.on b,
body .appcnt .security .actions .switch.on b {
    background: #ff6f2b
}

body .appcnt .modal-security .form-days>div>label.sel,
body .appcnt .security .form-days>div>label.sel {
    background-color: #ff6f2b
}

body .appcnt .modal-security .form-hm .form-control select:focus,
body .appcnt .security .form-hm .form-control select:focus {
    border-color: #ce5821;
    box-shadow: 0 0 0 .2rem #ff8b54
}

body .appcnt .form-control {
    border-radius: 2rem;
    background-color: #f3f3f3;
    border: 1px solid #f3f3f3;
    font-size: 1rem;
    font-weight: 600;
    color: #000
}

body .appcnt .form-control select {
    border: none;
    background: #f3f3f3;
    background-image: url(../img/select-arrow.png);
    padding: 0 30px 0 10px;
    background-repeat: no-repeat;
    background-position: calc(100% - 10px);
    font-weight: 600;
    color: #000
}

body .appcnt .form-control select,
body .appcnt select.form-control {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    position: relative
}

body .appcnt select.form-control {
    background-image: url(../img/select-arrow.png);
    background-repeat: no-repeat;
    background-position: calc(100% - 15px)
}

body .appcnt .form-control:focus {
    color: #202020;
    background-color: #f3f3f3;
    border-color: #d69327;
    outline: 0;
    box-shadow: 0 0 0 .2rem #ffca76
}

body .appcnt .form-group label {
    display: inline-block;
    margin-bottom: .5rem;
    font-size: .8rem;
    font-weight: 400;
    margin-left: 1rem;
    line-height: 1.2;
    color: #202020
}

body .appcnt .input-group .input-group-prepend span {
    border-radius: 1.5rem 0 0 1.5rem;
    border: none;
    background: #f8b232;
    color: #fff
}

body .appcnt .input-group input#add_device_form_imei {
    border-radius: 0 1.5rem 1.5rem 0
}

body .appcnt .avatar-icon>img {
    width: 4.4rem;
    margin-right: .5rem;
    position: relative;
    z-index: 2;
    cursor: pointer
}

body .appcnt .avatar-options-img {
    background-color: #f3f3f3;
    z-index: 2;
    width: calc(100% - 7rem);
    text-align: center;
    display: none;
    position: absolute;
    padding: .5rem;
    margin-top: -2rem;
    border-radius: .5rem;
    box-shadow: 0 2px 3px 0 rgba(0, 0, 0, .2)
}

body .appcnt .avatar-options-img img {
    width: 3rem;
    padding: .2rem .4rem
}

body .appcnt .avatar-options-img img:hover {
    transform: scale(1.2);
    cursor: pointer
}

body .appcnt .avatar-hidden-select {
    display: none
}

body .appcnt .change-avatar.txt-change-avatar {
    background: #f3f3f3;
    padding: .5rem 1rem .5rem 2rem;
    border-radius: 1.5rem;
    margin-left: -2rem;
    color: #000;
    position: relative;
    z-index: 1
}

body .appcnt .change-avatar.txt-change-avatar:hover {
    text-decoration: none
}

body .appcnt .change-avatar.txt-change-avatar>i {
    font-size: .7rem;
    margin-left: .3rem;
    cursor: pointer
}

body .appcnt .btn {
    border-radius: 30px
}

body .appcnt .btn-update {
    background: #a1d568;
    color: #fff!important;
    width: 40px;
    height: 40px;
    padding: 0;
    text-align: center;
    line-height: 37px
}

body .appcnt .btn-custom {
    background: none;
    color: #777371!important;
    width: auto;
    height: 40px;
    padding: 0 1rem;
    text-align: center;
    line-height: 37px;
    font-weight: 400;
    text-decoration: underline
}

body .appcnt .btn-cancel {
    background: #777371;
    color: #fff!important;
    width: 40px;
    height: 40px;
    padding: 0;
    text-align: center;
    line-height: 37px
}

body .appcnt .btn-back {
    width: 3.75rem;
    height: 2.75rem;
    text-align: center;
    line-height: 2.75rem;
    font-size: 1.4rem;
    background: #ececec!important;
    margin-left: -1rem;
    margin-right: 10px;
    border-radius: 0 100px 100px 0;
    padding: 0 .35rem 0 0
}

body .appcnt .btn-back i {
    color: #202020
}

body .appcnt .btn-remove {
    background: #ee5465;
    color: #fff!important;
    width: 40px;
    height: 40px;
    padding: 0;
    text-align: center;
    line-height: 37px
}

body .appcnt .btn-make-admin {
    color: #567eda!important;
    position: relative;
    height: 40px;
    line-height: 28px;
    font-weight: 400;
    text-decoration: underline
}

body .appcnt .btn-make-admin:before {
    content: "\f521";
    font-family: Font Awesome\ 5 Pro;
    font-weight: 900;
    position: absolute;
    top: -8px;
    left: 3px;
    color: #ffa318;
    transform: rotate(-41deg)
}

body .appcnt .equalize-content {
    width: 100%;
    border-top: 1px solid #e8e8e8;
    padding-top: 1rem
}

body .appcnt .equalize-content>* {
    display: inline-block
}

body .appcnt .confirm-del,
body .appcnt .confirm-make-admin,
body .appcnt .confirm-reboot {
    padding: 1rem;
    background-color: #fff;
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10
}

.android .appcnt .btn-cancel,
.android .appcnt .btn-remove,
.android .appcnt .btn-update,
.ios .appcnt .btn-cancel,
.ios .appcnt .btn-remove,
.ios .appcnt .btn-update {
    width: 60px;
    height: 60px;
    line-height: 55px;
    font-size: 1.5rem;
    margin: .8rem!important
}

.android .appcnt .btn-custom,
.ios .appcnt .btn-custom {
    width: auto
}

.android .appcnt .btn-custom,
.android .appcnt .btn-make-admin,
.ios .appcnt .btn-custom,
.ios .appcnt .btn-make-admin {
    height: 60px;
    line-height: 47px;
    font-size: 1.2rem;
    margin: .8rem!important
}

.android .appcnt .btn-make-admin:before,
.ios .appcnt .btn-make-admin:before {
    top: -15px;
    left: -8px
}

.update-form {
    padding: .5rem 1rem;
    margin: .25rem 0;
    background-color: #ff0
}

.form-hm select {
    font-size: 130%
}

.school-schedule.disabled {
    pointer-events: none;
    opacity: .5
}

.pac-container {
    z-index: 10000
}

.map-group {
    height: 22rem
}

#zoneMap {
    width: calc(100% + 2rem);
    height: 100%;
    margin: -1rem -1rem 0;
    position: relative
}

.zoneMapDot:after {
    width: 12px;
    height: 12px;
    content: " ";
    display: block;
    position: absolute;
    top: calc(50% - 6px);
    left: calc(50% - 6px);
    background-color: #ff6f2b;
    border-radius: 100%;
    box-shadow: 0 0 4px 1px #fff
}

#zoneMapSearchAddress {
    margin-top: -21.5rem;
    border-width: 0
}

#zoneMapSearchAddress,
.zoneMapSlider {
    position: relative;
    background-color: #fff;
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, .2)
}

.zoneMapSlider {
    border-radius: 2rem;
    padding: .1rem 0;
    margin-top: 16rem;
    opacity: .7
}

.zoneMapSlider span {
    font-size: 90%
}

.zoneMapSlider input {
    cursor: pointer;
    width: 65%
}

.mono {
    padding: .15rem 1rem;
    font-size: 20px;
    font-family: PT Mono, monospace;
    line-height: 1.5rem;
    text-align: center;
    text-transform: uppercase;
    height: 36px
}

.mono-6 {
    letter-spacing: 10px
}

.mono-9 {
    letter-spacing: 8px;
    text-align: left
}

.mono-15 {
    letter-spacing: 1px
}